Connections
/connections/oauth
Get a redirect URL to connect an app through OAuth2.0
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
appId*string
redirectTo?string
Default
"https://portal.vrplatform.app"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/connections/oauth" \ -H "Content-Type: application/json" \ -d '{ "appId": "string" }'{
"redirectUri": "string",
"manual": {
"state": "string",
"redirectUri": "string"
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}